Name:       fusor-undercloud-installer
Version:    1.1.3
Release:    1%{?dist}
Summary:    Scripts to configure and install an OpenStack Undercloud instance.

Group:      Development/Python
License:    GPLv3+
URL:        https://github.com/fusor/fusor-undercloud-installer
Source0:    %{name}-%{version}.tar.gz

BuildRequires: asciidoc

Requires: python(abi) = 2.7
Requires: tfm-rubygem-egon
Requires: python-ipaddress
Requires: python-netifaces
BuildArch: noarch

%description
Fusor Undercloud Installer

%prep
%setup -q


%build
a2x -d manpage -f manpage fusor-undercloud-installer.8.asciidoc
a2x -d manpage -f manpage fusor-undercloud-configurator.8.asciidoc
a2x -d manpage -f manpage fusor-undercloud-installer.answers.yaml.5.asciidoc

%install
install -d -m0755 %{buildroot}%{_sbindir}
cp bin/fusor-undercloud-installer %{buildroot}%{_sbindir}/fusor-undercloud-installer
cp bin/fusor-undercloud-configurator %{buildroot}%{_sbindir}/fusor-undercloud-configurator
%{__mkdir_p} %{buildroot}%{_mandir}/man5
%{__mkdir_p} %{buildroot}%{_mandir}/man8
%{__mkdir_p} %{buildroot}%{_datarootdir}/%{name}
cp -a fusor-undercloud-installer.answers.yaml.5 %{buildroot}/%{_mandir}/man5/
cp -a fusor-undercloud-installer.8 %{buildroot}/%{_mandir}/man8/
cp -a fusor-undercloud-configurator.8 %{buildroot}/%{_mandir}/man8/
cp -a disable-docker-registry.yaml %{buildroot}%{_datarootdir}/%{name}/

%files
%doc LICENSE
%defattr(755, root, root)
%{_sbindir}/fusor-undercloud-installer
%{_sbindir}/fusor-undercloud-configurator
%{_datarootdir}/%{name}/disable-docker-registry.yaml
%doc %{_mandir}/man5/fusor-undercloud-installer.answers.yaml.5*
%doc %{_mandir}/man8/fusor-undercloud-installer.8*
%doc %{_mandir}/man8/fusor-undercloud-configurator.8*


%changelog
* Thu Jan 26 2017 Dylan Murray <dymurray@redhat.com> 1.1.3-1
- Remove leading and trailing whitespaces from IPaddresses before validation
  (johnkim76@gmail.com)

* Wed Jan 18 2017 Jason Montleon <jmontleo@redhat.com> 1.1.2-1
- add disable-docker-registry (jmontleo@redhat.com)

* Thu Sep 22 2016 Jason Montleon <jmontleo@redhat.com> 1.1.1-1
- update releaser for QCI-1.1 (jmontleo@redhat.com)
- 1374320 - 'RHCI' to 'QCI' (jkim@redhat.com)
- Bump version (jesusr@redhat.com)


